:root {
  --min-content: 320px;
  --max-content: 1000px;
  --container-padding: 2rem;

  --sm-min-content: 320px;
  --md-min-content: 576px;
  --lg-min-content: 992px;
  --xl-min-content: 1200px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: calc(100vw / 320 * 10);

  @media (min-width: 576px) {
    font-size: calc(100vw / 480 * 10);
  }
  @media (min-width: 992px) {
    font-size: calc(100vw / 620 * 10);
  }
  @media (min-width: 1200px) {
    font-size: calc(100vw / 992 * 10);
  }
}

html,
body,
#root,
.wrapper {
  height: 100%;
}

#root {
  /* font-size: clamp(10px, 2vw + 4px, 24px); */
  background-color: #ccc;
}

.wrapper {
  margin: 0 auto;
  padding: 0 20px;
  min-width: var(--min-content);
  max-width: var(--max-content);
}

/**** wrapper grid ****/
.wrapper {
  display: grid;
  grid-template-areas:
    'header'
    'main'
    'footer';
  grid-template-rows: 60px 1fr 60px;
}
.header {
  grid-area: header;
}

.main {
  grid-area: main;
}

.footer {
  grid-area: footer;
}
/**** wrapper grid ****/

/**** main grid ****/
.main {
  display: grid;
  grid-template-areas: 'left' 'right';
  grid-template-columns: minmax(320px, 1fr);
}

.left {
  grid-area: left;
}

.right {
  grid-area: right;
}
/**** main grid ****/

/**** right grid ****/
.right {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-auto-rows: 100px;
}
/**** right grid ****/

.container {
  width: 100%;
  padding: 0 var(--container-padding);
  margin: 0 auto;
}

.header {
  padding: 0.4rem 0;
  font-size: 2.2rem;
  background-color: rebeccapurple;
}

.main {
  background-color: gold;
}

.footer {
  padding: 0.4rem 0;
  font-size: 2.2rem;
  background-color: brown;
}

.left {
  padding: 1rem;
  font-size: 2.2rem;
  background-color: blue;
}

.right {
  padding: 1rem;
  background-color: rosybrown;
}

.item {
  padding: 1rem;
  font-size: 1.8rem;
  background-color: aquamarine;
}

/* MEDIA */
@media screen and (min-width: 576px) {
  .header {
    background-color: rgb(143, 90, 196);
  }

  .main {
    grid-template-areas: 'left right';
    grid-template-columns: minmax(150px, 200px) minmax(320px, 1fr);
  }
}

@media screen and (min-width: 992px) {
  .header {
    background-color: rgb(187, 147, 227);
  }
}

@media screen and (min-width: 1200px) {
  .header {
    background-color: rgb(187, 147, 227);
  }
}
